Bug 6582 - ATI Expert 98 / Xfree error on reboot.
ATI Expert 98 / Xfree error on reboot.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-31 18:53 EST by dingo
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 11:29:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dingo 1999-10-31 18:53:30 EST
Below is se output from startx.
Monitor and OS work fine with Diamond Viper V550 PCI.
AGP ATI Expert 98 causes this problem.
System.  Gigabyte GA-5AX (r4) motherboard.
         AMD K6 II 400 cpu
         64Mb
         Maxtor 10Gb ATA66 disk
         Creative Soundblaster PCI 128
         Hansol 701p Monitor.

No choice on card as Xconfig defines card so can not select.

After Xconfigurator Xwin works OK until re-boot.

Tried with XFree Mach 64 in Red Hat 6.0 and same messages
appear as used below with latest version of XFree_Mach64.

-------------------------------------------------

XFree86 Version 3.3.5 / X Window System
(protocol Version 11, revision 0, vendor release 6300)
Release Date: August 23 1999
	If the server is older than 6-12 months, or if your
card is newer
	than the above date, look for a newer version before
reporting
	problems.  (see http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.5 i586 [ELF]
Configured drivers:
  Mach64: accelerated server for ATI Mach64 graphics
adaptors (Patchlevel 0)
(using VT number 7)

XF86Config: /usr/X11R6/lib/X11/XF86Config
(**) stands for supplied, (--) stands for probed/default
values
(**) XKB: keycodes: "xfree86"
(**) XKB: types: "default"
(**) XKB: compat: "default"
(**) XKB: symbols: "us(pc101)"
(**) XKB: geometry: "pc"
(**) XKB: rules: "xfree86"
(**) XKB: model: "pc101"
(**) XKB: layout: "gb"
(**) Mouse: type: PS/2, device: /dev/mouse, buttons: 3
(**) Mouse: 3 button emulation (timeout: 50ms)
(**) Mach64: Graphics device ID: "Mach64 GB"
(**) Mach64: Monitor ID: "My Monitor"
(--) Mach64: Mode "1024x768" needs hsync freq of 80.21 kHz.
Deleted.
(--) Mach64: Mode "1280x1024" needs hsync freq of 81.13 kHz.
Deleted.
(--) Mach64: Mode "1600x1200" needs hsync freq of 87.50 kHz.
Deleted.
(--) Mach64: Mode "1152x864" needs hsync freq of 89.62 kHz.
Deleted.
(--) Mach64: Mode "1280x1024" needs hsync freq of 91.15 kHz.
Deleted.
(--) Mach64: Mode "1600x1200" needs hsync freq of 93.75 kHz.
Deleted.
(--) Mach64: Mode "1600x1200" needs hsync freq of 105.77
kHz. Deleted.
(--) Mach64: Mode "1280x1024" needs hsync freq of 107.16
kHz. Deleted.
(--) Mach64: Mode "1800X1440" needs hsync freq of 96.15 kHz.
Deleted.
(--) Mach64: Mode "1800X1440" needs hsync freq of 104.52
kHz. Deleted.
(**) FontPath set to "unix/:-1"
(--) Mach64: PCI: Mach64 RagePro rev 92, Aperture @
0xe4000000, Registers @ 0xe6000000, Block I/O @ 0xd000
(--) Mach64: PCI (92) and CONFIG_CHIP_ID (124) don't agree
on ChipRev,
	using PCI value
(--) Mach64: Card type: AGP
(--) Mach64: Memory type: SDRAM (4)
(--) Mach64: Clock type: Internal
(--) Mach64: Maximum allowed dot-clock: 230.000 MHz
(**) Mach64: Mode "1024x768": mode clock =  98.900
(--) Mach64: Virtual resolution: 1024x768
(--) Mach64: Video RAM: 8192k
(--) Mach64: Using hardware cursor
(--) Mach64: Using 16 MB aperture @ 0xe4000000
(--) Mach64: Using 4 KB register aperture @ 0xe6000000
(--) Mach64: Ramdac is Internal
(--) Mach64: Ramdac speed: 230 MHz

(--) Mach64: Pixmap cache: 2 256x256 slots, 8 128x128 slots,
32 64x64 slots
(--) Mach64: Font cache: 16 fonts
_FontTransSocketUNIXConnect: Can't connect: errno = 111
failed to set default font path 'unix/:-1'
Fatal server error:
could not open default font 'fixed'

When reporting a problem related to a server crash, please
send
the full server output, not just the last messages

mach64ProgramClkMach64CT: Warning: Q < 10.66666667
_X11TransSocketUNIXConnect: Can't connect: errno = 111
giving up.
xinit:  Connection refused (errno 111):  unable to connect
to X server
xinit:  No such process (errno 3):  Server error.
Comment 1 Preston Brown 2000-02-04 11:29:59 EST
you are not running the font server, xfs for some reason.  May sure it is
enabled at bootup (chkconfig enable xfs as root).

Note You need to log in before you can comment on or make changes to this bug.